#!/usr/bin/perl
use Cwd;


sub create_install_dir{
  @install_cmd = 
    ("install", "-d", "-m", 
     "775", "-o", "root", "-g", 
     "install", $_[0]);
  print "@install_cmd\n";
  system(@install_cmd) and die $!;}

@install_dirs = qw(
/usr/bin
/usr/sbin
/usr/include
/usr/lib
/usr/man/man1
/usr/man/man2
/usr/man/man3
/usr/man/man4
/usr/man/man5
/usr/man/man6
/usr/man/man7
/usr/man/man8
/usr/doc
/usr/info
/usr/local/man/man1
/usr/local/man/man2
/usr/local/man/man3
/usr/local/man/man4
/usr/local/man/man5
/usr/local/man/man6
/usr/local/man/man7
/usr/local/man/man8
/usr/local/doc
/usr/local/info
/usr/share
/usr/share/dict
/usr/share/doc
/usr/share/info
/usr/share/locale
/usr/share/man/man1
/usr/share/man/man2
/usr/share/man/man3
/usr/share/man/man4
/usr/share/man/man5
/usr/share/man/man6
/usr/share/man/man7
/usr/share/man/man8
/usr/share/nls
/usr/share/misc
/usr/share/terminfo
/usr/share/zoneinfo
/usr/share/i18n
/usr/share/aclocal
/usr/local/bin
/usr/local/etc
/usr/local/include
/usr/local/lib
/usr/local/sbin
/usr/local/share
/usr/local/share/dict
/usr/local/share/doc
/usr/local/share/info
/usr/local/share/locale
/usr/local/share/man/man1
/usr/local/share/man/man2
/usr/local/share/man/man3
/usr/local/share/man/man4
/usr/local/share/man/man5
/usr/local/share/man/man6
/usr/local/share/man/man7
/usr/local/share/man/man8
/usr/local/share/nls
/usr/local/share/misc
/usr/local/share/terminfo
/usr/local/share/zoneinfo
/opt
/opt/doc
/opt/info
/opt/bin
/opt/include
/opt/lib
/opt/man/man1
/opt/man/man2
/opt/man/man3
/opt/man/man4
/opt/man/man5
/opt/man/man6
/opt/man/man7
/opt/man/man8
/var/lib
/var/opt
/etc
/etc/opt
/sbin
/bin
/lib);


sub execute{
    print "\t$_[0]\n";
    `$_[0]`;
    if ($?){die $!;}
}

execute("groupadd --force install");

foreach $install_dir(@install_dirs){
  create_install_dir($install_dir);}


execute("find /.hg -type d -print0 | xargs -0 -L 1 -t chmod 2770");
execute("find /.hg -type f -print0 | xargs -0 -L 1 -t chmod 660");

execute("install -d -o root -g root -m 755 /pkg/skel");

execute("chown -Rv root:root /.hg");

$pwd = cwd();
execute("ln -sf $pwd/profile  /pkg/skel/.profile");
execute("ln -sf $pwd/hg-wrapper /pkg/skel/");
execute("ln -sf $pwd/save-acls /pkg/skel/");
execute("ln -sf `which hg` /pkg/skel/");

execute("install -o root -g root -m 660 $pwd/hgignore /.hgignore"); 
execute("install -o root -g root -m 660 $pwd/hgrc /.hg/"); 



